# Interface UnderlyingSinkWriteCallback<W>

interface UnderlyingSinkWriteCallback<W> ((chunk, controller) => void | PromiseLike<void>)

#### Type Parameters

- W

- UnderlyingSinkWriteCallback(chunk, controller): void | PromiseLike<void>

- #### Parameters

  - chunk: W
  - controller: WritableStreamDefaultController

  #### Returns void | PromiseLike<void>

  - Defined in node_modules/@types/node/stream/web.d.ts:102